<html>
<body bgcolor=black text=white>
<h3>{{user_name}} Welcome to shopee minimarketplace system (by Yuanchao.Liang)! Here are all the products.</h3>
<form method="post" action="/search/">
    <input type="text" name="keyword" placeholder="Input keywords of product"/>
    <input type="text" name="category" placeholder="Input category name"/>
    <input type="text" name="page" placeholder="Input page number"/>
    <input type="submit" name="search" value="Search"><br>
</form>
{{table}}
</body>
</html>